-- phpMyAdmin SQL Dump
-- version 5.2.0
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Aug 23, 2024 at 09:34 AM
-- Server version: 10.4.27-MariaDB
-- PHP Version: 8.0.25

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `demo_feedback_db`
--

-- --------------------------------------------------------

--
-- Table structure for table `tbl_category`
--

CREATE TABLE `tbl_category` (
  `category_id` int(11) NOT NULL,
  `category_name` varchar(100) NOT NULL,
  `description` varchar(255) DEFAULT NULL,
  `type` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_course_grade`
--

CREATE TABLE `tbl_course_grade` (
  `course_grade_id` int(11) NOT NULL,
  `course_grade_code` varchar(50) NOT NULL,
  `course_grade_name` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_feedback`
--

CREATE TABLE `tbl_feedback` (
  `feedback_id` int(11) NOT NULL,
  `semester_grading_id` int(11) DEFAULT NULL,
  `student_id` int(11) DEFAULT NULL,
  `category_id` int(11) DEFAULT NULL,
  `comments` text DEFAULT NULL,
  `date_time_recorded` datetime DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_semester_grading`
--

CREATE TABLE `tbl_semester_grading` (
  `semester_grading_id` int(11) NOT NULL,
  `semester_grading_code` varchar(50) NOT NULL,
  `semester_grading_description` varchar(255) NOT NULL,
  `is_active` tinyint(1) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_sentiment_analysis`
--

CREATE TABLE `tbl_sentiment_analysis` (
  `sentiment_analysis_id` int(11) NOT NULL,
  `feedback_id` int(11) DEFAULT NULL,
  `sentiment_score` float DEFAULT NULL,
  `sentiment_label` varchar(20) DEFAULT NULL,
  `date_time_recorded` datetime DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_student`
--

CREATE TABLE `tbl_student` (
  `student_id` int(11) NOT NULL,
  `student_complete_name` varchar(150) NOT NULL,
  `student_email_address` varchar(100) NOT NULL,
  `student_contact_number` varchar(20) NOT NULL,
  `student_profile_image` varchar(255) DEFAULT NULL,
  `s_username` varchar(50) NOT NULL,
  `s_password` varchar(255) NOT NULL,
  `course_grade_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `tbl_category`
--
ALTER TABLE `tbl_category`
  ADD PRIMARY KEY (`category_id`);

--
-- Indexes for table `tbl_course_grade`
--
ALTER TABLE `tbl_course_grade`
  ADD PRIMARY KEY (`course_grade_id`);

--
-- Indexes for table `tbl_feedback`
--
ALTER TABLE `tbl_feedback`
  ADD PRIMARY KEY (`feedback_id`),
  ADD KEY `semester_grading_id` (`semester_grading_id`),
  ADD KEY `student_id` (`student_id`),
  ADD KEY `category_id` (`category_id`);

--
-- Indexes for table `tbl_semester_grading`
--
ALTER TABLE `tbl_semester_grading`
  ADD PRIMARY KEY (`semester_grading_id`);

--
-- Indexes for table `tbl_sentiment_analysis`
--
ALTER TABLE `tbl_sentiment_analysis`
  ADD PRIMARY KEY (`sentiment_analysis_id`),
  ADD KEY `feedback_id` (`feedback_id`);

--
-- Indexes for table `tbl_student`
--
ALTER TABLE `tbl_student`
  ADD PRIMARY KEY (`student_id`),
  ADD UNIQUE KEY `student_email_address` (`student_email_address`),
  ADD UNIQUE KEY `s_username` (`s_username`),
  ADD KEY `course_grade_id` (`course_grade_id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `tbl_category`
--
ALTER TABLE `tbl_category`
  MODIFY `category_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_course_grade`
--
ALTER TABLE `tbl_course_grade`
  MODIFY `course_grade_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_feedback`
--
ALTER TABLE `tbl_feedback`
  MODIFY `feedback_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_semester_grading`
--
ALTER TABLE `tbl_semester_grading`
  MODIFY `semester_grading_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_sentiment_analysis`
--
ALTER TABLE `tbl_sentiment_analysis`
  MODIFY `sentiment_analysis_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_student`
--
ALTER TABLE `tbl_student`
  MODIFY `student_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `tbl_feedback`
--
ALTER TABLE `tbl_feedback`
  ADD CONSTRAINT `tbl_feedback_ibfk_1` FOREIGN KEY (`semester_grading_id`) REFERENCES `tbl_semester_grading` (`semester_grading_id`),
  ADD CONSTRAINT `tbl_feedback_ibfk_2` FOREIGN KEY (`student_id`) REFERENCES `tbl_student` (`student_id`),
  ADD CONSTRAINT `tbl_feedback_ibfk_3` FOREIGN KEY (`category_id`) REFERENCES `tbl_category` (`category_id`);

--
-- Constraints for table `tbl_sentiment_analysis`
--
ALTER TABLE `tbl_sentiment_analysis`
  ADD CONSTRAINT `tbl_sentiment_analysis_ibfk_1` FOREIGN KEY (`feedback_id`) REFERENCES `tbl_feedback` (`feedback_id`);

--
-- Constraints for table `tbl_student`
--
ALTER TABLE `tbl_student`
  ADD CONSTRAINT `tbl_student_ibfk_1` FOREIGN KEY (`course_grade_id`) REFERENCES `tbl_course_grade` (`course_grade_id`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
